Subject: Re: make update
To: None <>
From: Lubomir Sedlacik <>
List: tech-pkg
Date: 06/23/2005 13:26:58
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Jun 23, 2005 at 06:08:53AM -0400, Sean Davis wrote:
> make update is terribly broken. It is not correct, nor can I see how
> it was ever thought to be correct, to wipe out every package with a
> pkg_delete -r before it's even known if they'll build (commonly
> leaving one with half the packages they had, if they do it on
> something like mplayer, have KDE installed, and KDE doesn't build...)

how do you want to upgrade a library package and all the packages
depending on it when you build the packages against an older version of
the library?  that just doesn't make any sense..


-- Lubomir Sedlacik <salo@{NetBSD,Xtrmntr,silcnet}.org>   --

Content-Type: application/pgp-signature
Content-Disposition: inline

Version: GnuPG v1.2.6 (NetBSD)